from django import template
from django.shortcuts import get_object_or_404
from Core.models import WebPages
# from Enquiry.models import FollowUp,Enquiry
from wagtail.models import Page
# from wagtail.documents.models import Document
from django.db.models import Q
register = template.Library()
from django.utils.safestring import mark_safe
from bs4 import BeautifulSoup
from wagtail.rich_text import RichText

from Blog.models import *
@register.filter(is_safe=True)
def add_formating(value):
    soup = BeautifulSoup(str(value), 'html.parser')
    # for ul in soup.find_all('h1'):
    #     ul['class'] = 'text-2xl font-bold'
    # for ol in soup.find_all('h2'):
    #     ol['class'] = 'text-xl font-bold'
    for ul in soup.find_all('ul'):
        ul['class'] = 'list-disc list-inside pl-4 space-y-2 text-gray-700'
    for ol in soup.find_all('ol'):
        ol['class'] = 'list-decimal list-inside pl-4 space-y-2 text-gray-700'
    return mark_safe(str(soup))
    
@register.simple_tag()
def blog_comment_approved(slug):
    return None
    # return BlogPage.objects.filter(slug=slug)
